跳转至

高级配置接口

GET 查询目录高级配置

GET /prod-api/cdn/layer7/advance/describeAdvanceRules

请求参数

名称 位置 类型 必选 说明
domainId query integer domainId
Authorization header string -

返回示例

{
    "msg": "成功",
    "code": 200,
    "data": {
        "total": 2,
        "row": [
            {
                "locationId": 2676,
                "name": "*",
                "type": "1",
                "json": "{\"listClass\":1,\"whiteBlacklist\":[\"1.1.1.1\"],\"detectionRobot\":\"off\"}",
                "sort": 1
            },
            {
                "locationId": 2678,
                "name": "/",
                "type": "5",
                "json": "{\"listClass\":1,\"whiteBlacklist\":[],\"detectionRobot\":\"off\"}",
                "sort": 1
            }
        ]
    }
}

401 Response

{}

返回结果

状态码 状态码含义 说明 数据模型
200 OK - Inline
401 Unauthorized - Inline
403 Forbidden - Inline
404 Not Found - Inline

返回数据结构

状态码 200

名称 类型 必选 约束 中文名 说明
» msg string true - -
» code integer true - -
» data object true - -
»» total integer true - 总数 -
»» row [object] true - 数据 -
»»» locationId integer false - 规则 ID 该条高级配置的唯一 ID;更新高级配置 编辑时写入请求体,新增时不写
»»» name string false - 规则内容 -
»»» type string false - 规则类型 1:全部
3:文件夹
4:全路径
5:首页
»»» json string false - listClass(类型):
1:表示白名单
2:表示黑名单
detectionRobot(人机识别):
off:未启用
on:启用
»»» sort integer false - 排序 -

数据模型